--- func_math.c.orig	2006-09-15 11:19:41.000000000 +0200
+++ func_math.c	2006-09-15 11:23:00.000000000 +0200
@@ -26,6 +26,7 @@
 #include <stdio.h>
 #include <string.h>
 #include <sys/types.h>
+#include <math.h>
 
 #include "asterisk.h"
 
@@ -45,6 +46,7 @@
     MULTIPLYFUNCTION,
     SUBTRACTFUNCTION,
     MODULUSFUNCTION,
+    POWFUNCTION,
 
     GTFUNCTION,
     LTFUNCTION,
@@ -109,6 +111,9 @@
 	} else if ((op = strchr(mvalue1, '%'))) {
 		iaction = MODULUSFUNCTION;
 		*op = '\0';
+	} else if ((op = strchr(mvalue1, 'P'))) {
+		iaction = POWFUNCTION;
+		*op = '\0';
 	} else if ((op = strchr(mvalue1, '>'))) {
 		iaction = GTFUNCTION;
 		*op = '\0';
@@ -195,6 +200,10 @@
 		
 		break;
 	}
+	case POWFUNCTION :
+		ftmp = pow(fnum1,fnum2);
+		break;
+
 	case GTFUNCTION :
 		ast_copy_string (user_result, (fnum1 > fnum2)?"TRUE":"FALSE", sizeof (user_result));
 		break;
